## org.apache.jasper.compiler
Class SmapUtil

    java.lang.Object
      org.apache.jasper.compiler.SmapUtil

    public class SmapUtil

extends Object

Contains static utilities for generating SMAP data based on the current version of Jasper.

Author:
  Jayson Falkner, Shawn Bayern, Robert Field (inner SDEInstaller class), Mark Roth, Kin-man Chung

Nested Class Summary
`static class` `SmapUtil.ClassInfo`

Field Summary
`static String` `SMAP_ENCODING`

Method Summary
`void` `generateSmap(Node.Nodes pageNodes)` Generates an appropriate SMAP representing the current compilation context.
`void` `installSmap()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SMAP_ENCODING

    public static final String SMAP_ENCODING

See Also:
  Constant Field Values

Method Detail

### generateSmap

    public void generateSmap(Node.Nodes pageNodes)
                      throws IOException

  Generates an appropriate SMAP representing the current compilation context. (JSR-045.)

  Parameters:
    `ctxt` - Current compilation context
    `pageNodes` - The current JSP page
  Throws:
    `IOException`

### installSmap

    public void installSmap()
                     throws IOException

  Throws:
    `IOException`

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.